<?php
    
$cell_height = 20;
$date = "";
$monday = "";
if (isset($_GET['n_startdate'])) {
    $date = $_GET['n_startdate'];
    $lastweek = strtotime("next week", $date);
    $monday = strtotime("last Monday", $lastweek);
} else if ( isset($_GET['p_startdate'])) {
    $date = $_GET['p_startdate'];
    $lastweek = strtotime("-7 days", $date);
    $monday = strtotime("last Monday", $date);
} else {
    $date = strtotime(date('Y-m-d H:i:s'));
    $monday = strtotime("last Monday", $date);
}


include('util.php');
include("class/event.class.php");


$events = new Event();
$st_date = date('Y-m-d', $monday);
$ed_date = date('Y-m-d', strtotime("+6 day ", $monday));
$events = $events->getAllEvents($st_date, $ed_date);

?>







<div id="main_wrap"  style="position:relative;" >

    <table  style="position:relative;" cellpadding="0" cellspacing="0" align="center">



        <tr>

            <td colspan="8" align="center" style="height:<?php echo getMonthRowHeight()?>px;width:100%" >

                <div class="week_leftright">

                    <a href="<?php echo "http://" . $_SERVER['HTTP_HOST']  . $_SERVER['REQUEST_URI']?>&p_startdate=<?php echo strtotime("-1 day", $monday)  ?>" class="left_arr"><span>Previous</span></a>

                    <p><?php echo date('M j, Y', $monday)?> - <?php echo date('M j, Y', strtotime("+6 day", $monday))?></p>

                    <a href="<?php echo "http://" . $_SERVER['HTTP_HOST']  . $_SERVER['REQUEST_URI']?>&n_startdate=<?php echo strtotime("+7 day", $monday)  ?>"

                       class="right_arr"><span>Next</span></a>

                </div>



            </td>

        </tr>

        <tr class="main-day-tr">

            <td style="height:<?php echo getHeaderRowHeight()?>px;">&nbsp;</td>

            <td>

                <div>Monday</div>

                <p>[ <?php echo date('M j, Y', $monday)?> ]</p></td>

            <td>

                <div>Tuesday</div>

                <p>[<?php echo date('M j, Y', strtotime("+1 day ", $monday));?> ]</p></td>

            <td>

                <div>Wednesday</div>

                <p>[<?php echo date('M j, Y', strtotime("+2 day ", $monday));?> ]</p></td>

            <td>

                <div>Thursday</div>

                <p>[<?php echo date('M j, Y', strtotime("+3 day ", $monday));?> ]</p></td>

            <td>

                <div>Friday</div>

                <p>[<?php echo date('M j, Y', strtotime("+4 day ", $monday));?> ]</p></td>

            <td>

                <div>Saturday</div>

                <p>[<?php echo date('M j, Y', strtotime("+5 day ", $monday));?> ]</p></td>

            <td>

                <div>Sunday</div>

                <p>[<?php echo date('M j, Y', strtotime("+6 day ", $monday));?> ]</p></td>



        </tr>





        <?php for ($i = 0; $i < 24; $i++) { ?>





        <tr class="sec-time-tr">

            <td valign="top"  align="right" class="hour" rowspan="2" style="font-size: 11px; height:<?php echo getRowHeight()?>px;width:100px;"><p><?php echo getTime($i.".00") ?></p></td>

            <td style="width:100px" class="td_top">&nbsp;</td>

            <td style="width:100px" class="td_top">&nbsp;</td>

            <td style="width:100px" class="td_top">&nbsp;</td>

            <td style="width:100px" class="td_top">&nbsp;</td>

            <td style="width:100px" class="td_top">&nbsp;</td>

            <td style="width:100px" class="td_top">&nbsp;</td>

            <td style="width:100px" class="td_top">&nbsp;</td>

        </tr>



        <tr>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

            <td style="width:100px" class="td_bottom">&nbsp;</td>

        </tr>





        <?php } ?>





    </table>





    <?php

    $count=1;

    foreach ($events as $event) { ?>

    <div class="layer" id="layer_<?php echo $count?>"

        style="left:<?php echo getLeft($event->date)?>px;top:<?php echo getTop($event->start_time)?>px;height:<?php echo getBlockHeight($event->start_time, $event->end_time)?>px;background-color: #86B4E0;background-repeat:none;position: absolute;z-index: 111;width:95px ">

        <h4 style="font-size: 10px"> <?php echo getTime($event->start_time) ; ?> to <?php echo getTime($event->end_time) ; ?> <?php ?></h4>



        <p><?php echo $event->title ?></p>

        <p><a name="a_<?php echo $count?>" id="a_<?php echo $count?>" href="javascript:void(0)">View Details</a></p>

    </div>



    <div id="popup_<?php echo $count?>" style="display:none;">

       <table>

           <tr>

               <td><p>Name</p></td> <td><?php echo $event->title;  ?></td>

           </tr>

           <tr>

               <td><p>Start Time</p></td> <td><?php echo $event->start_time;  ?></td>

           </tr>

           <tr>

               <td><p>End Time</p></td> <td><?php echo $event->end_time;  ?></td>

           </tr>

           <tr>

               <td colspan="2"><p>Details</p></td>

           </tr>

           <tr>

               <td colspan="2"><?php echo $event->description;  ?></td>

           </tr>





       </table>



    </div>



    <?php $count++; } ?>



</div>